from typing import Any, Dict
import os.path
import os
from skconfig import Configuration, ConfigurationLocatorInfo


# ------------------------------------------------------------------------------
#           load_specs
# ------------------------------------------------------------------------------
def load_specs(yamlname: str) -> Configuration:

    config = None
    file_locations = ('python', 'user')
    for file_location in file_locations:
        location = ConfigurationLocatorInfo(packagename='altius_l1pp', groupname='usask-arg', yamlname=yamlname, location=file_location)
        try:
            config = Configuration(location)
        except Exception:
            pass
        else:
            break

    if (config is None) or (config.values is None) or (len(config.values)) == 0:
        folder, aname = os.path.split(__file__)
        filename = os.path.normpath(os.path.join(folder, 'defaults', yamlname))
        config = Configuration(filename)
    assert (config.values is not None) and (len(config.values) > 0)
    return config
